## libmsnumpress 1.0.0

=== debian/changelog ===
libmsnumpress (1.0.0-7) unstable; urgency=low

  *  Since July 2019, binaries uploaded by maintainers are not allowed to
     migrate to testing. In other words, packages must have source-only uploads
     before they can reach the next release 
     (Thanks to Boyuan Yang <byang@debian.org> ; Closes: #961026).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 19 May 2020 16:26:13 +0200

libmsnumpress (1.0.0-6) unstable; urgency=low

  * Fix the erroneous build command in d/rules (using hardcoded g++ compiler
    in lieu of the CXX one determined by the Debian build environment. Thanks
    to Helmut Grohne <helmut@subdivi.de>. Closes: #941297).

  * Standards-Version: 4.5.0 (no changes required).

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 10 May 2020 17:06:29 +0200

libmsnumpress (1.0.0-5) unstable; urgency=low

  * Fix the mis-named qt compressed help file and add the QCH file to the doc
    base.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 07 Mar 2019 16:38:58 +0100

libmsnumpress (1.0.0-3) unstable; urgency=low

  * Standards-Version: 4.3.0.
  * d/copyright: fix order of stanzas.

  * Add qttools5-dev-tools and qtchooser for qhelpgenerator.
  * Add graphviz for dot binary.
  * Closes: #885240 (thanks to "Aaron M. Ucko" <ucko@debian.org>).

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 07 Mar 2019 16:16:13 +0100

libmsnumpress (1.0.0-2) unstable; urgency=low
  
  Fix removal of files that are no present and that trigger an error.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 10 Jan 2018 18:05:03 +0100

libmsnumpress (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #883538).

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 04 Dec 2017 16:44:58 +0100
