=== debian/control ===
Source: libmsnumpress
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper-compat (= 12),
               dpkg-dev (>= 1.16.1~),
               doxygen (>= 1.8.1.2),
               docbook-to-man,
               libjs-jquery,
               graphviz
Standards-Version: 4.5.0
Section: libs
Homepage: https://github.com/ms-numpress/ms-numpress
Vcs-Git: https://salsa.debian.org/debichem-team/libmsnumpress.git
Vcs-Browser: https://salsa.debian.org/debichem-team/libmsnumpress

Package: libmsnumpress-dev
Section: libdevel
Architecture: any
Replaces: libmsnumpress-dev-doc, 
          libmsnumpress1(<= 1.0.0-5)
Breaks: libmsnumpress1(<= 1.0.0-5)
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libmsnumpress1(= ${binary:Version}),
         libjs-jquery
Description: Numeric data compression for mass spectrometry (devel files)
 Implementations of two compression schemes for numeric data from mass
 spectrometers.
 .
 The library provides implementations of 3 different algorithms, 1 designed to
 compress first order smooth data like retention time or M/Z arrays, and 2 for
 compressing non smooth data with lower requirements on precision like ion count
 arrays.
 .
 This package ships the library development and documentation files.

Package: libmsnumpress1
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends}
Description: Numeric data compression for mass spectrometry (runtime)
 Implementations of two compression schemes for numeric data from mass
 spectrometers.
 .
 The library provides implementations of 3 different algorithms, 1 designed to
 compress first order smooth data like retention time or M/Z arrays, and 2 for
 compressing non smooth data with lower requirements on precision like ion count
 arrays.
 .
 This package ships the binary shared object library.
