=== debian/watch ===
version=3

opts="repack, \
			repacksuffix=+dfsg, \
			compression=gzip, \
			dversionmangle=s/\+dfsg\d*$//, \
			filenamemangle=s/\S+\/-([\d\.]*)\.tar\.gz/libmsnumpress-$1\.tar\.gz/" \
			https://github.com/ms-numpress/ms-numpress/releases/ \
			/ms-numpress/ms-numpress/archive/MsNumpress-([\d\.]*)\.tar\.gz \
			debian uupdate

# Web page
#https://github.com/ms-numpress/ms-numpress

# The link to the source tarball as when clicking (see below)
#https://github.com/ms-numpress/ms-numpress/archive/MsNumpress-0.2.3.tar.gz

# The http href code that links to the source tarball in the Web page above
# <a href="/ms-numpress/ms-numpress/archive/MsNumpress-0.2.3.tar.gz"
